I am using 1.0.2 unlocked iphone most probably using unlock.app. Installer.app installs but does not show any applications in the list. If I try upgrading to a future version, it gives a Package mismatch error.

I have tried installing with ibrickr, appinstaller.exe and even a manual install but still no applications are listed. Am I doing something wrong? Installer.app refreshes when started but does not show any applications. Any help will be appreciated as it is stopping me from upgrading my phone.